Skip to content
Primary navigation

Delete an item

DELETE/conversations/{conversation_id}/items/{item_id}

Delete an item from a conversation with the given IDs.

Path ParametersExpand Collapse
conversation_id: string
item_id: string
ReturnsExpand Collapse
Conversation = object { id, created_at, metadata, object }
id: string

The unique ID of the conversation.

created_at: number

The time at which the conversation was created, measured in seconds since the Unix epoch.

metadata: unknown

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

object: "conversation"

The object type, which is always conversation.

Delete an item

curl -X DELETE https://api.openai.com/v1/conversations/conv_123/items/msg_abc \
  -H "Authorization: Bearer $OPENAI_API_KEY"
{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "demo"}
}
Returns Examples
{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "demo"}
}